name: 74ALVC164245
variations: SSOP, TSSOP
description: 16-bit dual supply translating transceiver; 3-state
datasheet: https://assets.nexperia.com/documents/data-sheet/74ALVC164245.pdf
keywords: IC, Digital, Level Shifter

pinout:
  1A:
    1A0: 47
    1A1: 46
    1A2: 44
    1A3: 43
    1A4: 41
    1A5: 40
    1A6: 38
    1A7: 37
  2A:
    2A0: 36
    2A1: 35
    2A2: 33
    2A3: 32
    2A4: 30
    2A5: 29
    2A6: 27
    2A7: 26
  1B:
    1B0: 2
    1B1: 3
    1B2: 5
    1B3: 6
    1B4: 8
    1B5: 9
    1B6: 11
    1B7: 12
  2B:
    2B0: 13
    2B1: 14
    2B2: 16
    2B3: 17
    2B4: 19
    2B5: 20
    2B6: 22
    2B7: 23
  DIR:
    1DIR: 1
    2DIR: 24
  OE:
    1OE: 48
    2OE: 25
  VCC:
    VCCA: 31, 42
    VCCB: 7, 18
  GND: 4, 10, 15, 21, 28, 34, 39, 45

properties:
  bidir: 1A, 2A, 1B, 2B
  input: DIR, OE
  power: VCC
  ground: GND
  inverted: OE

schematic:
  symbol: IC
  left: DIR, 1A, 2A
  right: OE, 1B, 2B
  top: VCC
  bottom: GND

housing@SSOP:
  suffix: DL
  outline: NXP SOT370-1

housing@TSSOP:
  suffix: DGG
  outline: NXP SOT362-1
